Name:           ibus-libzhuyin
Version:        1.10.0
Release:        1
Summary:        New Zhuyin engine based on libzhuyin for IBus
License:        GPLv2+
URL:            https://github.com/libzhuyin/ibus-libzhuyin
Source0:        http://downloads.sourceforge.net/libzhuyin/ibus-libzhuyin/ibus-libzhuyin-%{version}.tar.gz

BuildRequires:  gcc-c++ gettext-devel intltool libtool pkgconfig sqlite-devel opencc-devel >= 1.0.2
BuildRequires:  ibus-devel >= 1.3 libpinyin-devel >= 2.0.91 python3-devel libpinyin-tools

Requires:       ibus >= 1.3.0
Provides:       libzhuyin-data = 1.1.2
Obsoletes:      libzhuyin-data < 1.1.2

%description
This package is a Chinese Zhuyin (Bopomofo) input method based on libzhuyin.
It provides an intelligent sentence-based Chinese zhuyin algorithm to improve input experience.

%prep
%autosetup -n ibus-libzhuyin-%{version} -p1

%build
%configure --disable-static --disable-boost --with-python=python3

%make_build V=1

%install
%make_install

%find_lang ibus-libzhuyin

%files -f ibus-libzhuyin.lang
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-libzhuyin.desktop
%{_datadir}/ibus/component/*
%{_datadir}/ibus-libzhuyin/{setup,icons,*symbol.txt}
%{_libexecdir}/{ibus-engine-libzhuyin,ibus-setup-libzhuyin}
%dir %{_datadir}/ibus-libzhuyin
%{_libdir}/ibus-libzhuyin/


%changelog
* Thu Jun 16 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.10.0-1
- Upgrade to version 1.10.0

* Fri Nov 22 2019 fengbing <fengbing7@huawei.com> - 1.8.92-4
- Package init
